Bug 852399 - Non-root-user cannot write in home. There is availible space but not free.
Non-root-user cannot write in home. There is availible space but not free.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 07:43 EDT by lumacido
Modified: 2014-03-16 23:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 10:52:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lumacido 2012-08-28 07:43:24 EDT
Description of problem:

System monitor and df command show:

# df -h /home
Filesystem      Size  Used Avail Use% Mounted on
/dev/sda4       251G  240G     0 100% /home
(system monitor also says: Free: 11.7 GiB)

If I try to write a file it says that there is no space available 
(echo something > file --> write error: No space left on device).

However, root can write!



How reproducible: Always.


Steps to Reproduce:
1.  Login
2a. Check space (df -h /home)
2b. Write a file in home.
  
Actual results:
No space available for non-root-users

Expected results:
There should be almost 11 GB available for any user.

Additional info:
I have switched off SELINUX.
I have tried to create another user.
Comment 1 Bill Nottingham 2012-08-30 10:52:03 EDT
This is normal - by default, filesystems are created with some reserved space that only root can write to.

See 'man tune2fs' on how to change this, search for the 'reserved-blocks-percentage' or 'reserved-blocks-count' options.

Note You need to log in before you can comment on or make changes to this bug.